API REFERENCE

API: chatbot

Canonical routes for chatbot (from ApiRoutes).

Routes

MethodPathAuth / notes
GET/tenants/{tenantId}/chatbotsBearer Cognito access token (chatbotsList)
POST/tenants/{tenantId}/chatbotsBearer Cognito access token (chatbotsCreate)
GET/tenants/{tenantId}/chatbots/{botId}Bearer Cognito access token (chatbotGet)
PATCH/tenants/{tenantId}/chatbots/{botId}Bearer Cognito access token (chatbotUpdate)
POST/tenants/{tenantId}/chatbots/{botId}/publishBearer Cognito access token (chatbotPublish)
GET/tenants/{tenantId}/chatbots/{botId}/knowledgeBearer Cognito access token (knowledgeList)
POST/tenants/{tenantId}/chatbots/{botId}/knowledgeBearer Cognito access token (knowledgeCreate)
PATCH/tenants/{tenantId}/chatbots/{botId}/knowledge/{itemId}Bearer Cognito access token (knowledgeUpdate)
POST/tenants/{tenantId}/chatbots/{botId}/knowledge/uploadBearer Cognito access token (knowledgeUpload)
GET/tenants/{tenantId}/chatbots/{botId}/intentsBearer Cognito access token (intentsList)
POST/tenants/{tenantId}/chatbots/{botId}/intentsBearer Cognito access token (intentsCreate)
PATCH/tenants/{tenantId}/chatbots/{botId}/intents/{intentId}Bearer Cognito access token (intentUpdate)
GET/tenants/{tenantId}/chatbots/{botId}/analyticsBearer Cognito access token (chatbotAnalytics)
GET/tenants/{tenantId}/chatbots/{botId}/conversationsBearer Cognito access token (chatbotConversations)

Example

GET https://api.startupcore.com/tenants/{tenantId}/chatbots

Errors

401 UNAUTHORIZED, 403 FORBIDDEN, 403 FEATURE_NOT_ENTITLED, 404 NOT_FOUND, 400 VALIDATION_ERROR.